# hls-car-vue

> A Vue.js project

## Build Setup

``` bash
# install dependencies
npm install

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build

# build for production and view the bundle analyzer report
npm run build --report
```

For a detailed explanation on how things work, check out the [guide](http://vuejs-templates.github.io/webpack/) and [docs for vue-loader](http://vuejs.github.io/vue-loader).


### 文件命名规范

1. 文件夹全部采用驼峰命名法，即首字母小写后面每个单词首字母大写

2. 文件名全部使用小写字母，单词与单词之间采用**-**连接,如 **user-info.vue,user-info-detail.vue**,

3. 路由的注册 `import` 语句后的单词采用 Pascal命名法，所有单词的首字母大写，其余字母小写，单词与单词之间不使用任何符号风格。如

  ```javascript
  import HomeManager from '@/pages/homeManager/home-manager'
  import LoadMore from '@/pages/loadMore/load-more'
  import UserInfo from '@/pages/userInfo/user-info'
  import UserInfoDetail from '@/pages/userInfo/user-info-detail'
  ```

4. 实际路由注册需安照如下写法，`path`为 `/tab/文件名`,`/tab`是否保留视实际情况而定。`component`后接的单词需和`import`的单词保持一致,`name`后接的单词也需和`import`的单词保持一致

  ```javascript
  {path: "/tab/home-manager", component: HomeManager, name: 'HomeManager', meta: {keepAlive: true}},
  {path: '/tab/load-more', component: LoadMore, name: 'LoadMore', meta: {keepAlive: true}},
  {path: '/tab/user-info', component: UserInfo, name: 'UserInfo', meta: {keepAlive: true}},
  ```

# keyStore签名信息

 keystore文件 xcmg.keystore

 别名 XCMGKEY

 密码 xcmgxcmg

# 签名
 jarsigner -verbose -keystore xcmg.keystore -signedjar 租赁通.apk zlt.apk XCMGKEY
 
 
#极光推送信息
  账户：15062177566@163.com
  
  密码：Xcmg66966
  JPUSH_APPKEY
  开发环境：
  
    应用名称：徐工金服dev  com.xcmg.app.dev
    AppKey：7675edf5efa043a1ce9449a2
    Screat: 216c67446abe6758ac4e35f0
  
  生产环境：
  
    应用名称：徐工金服 com.xcmg.app
    AppKey：bef4fd44dcf54b79b8ab27c3
    Screat: 53f26eee93e657fdcee00d1a

#百度地图
 账户：15996971299
 
 密码：guo15996971299
 com.baidu.lbsapi.API_KEY
 开发环境：
 
    应用名称：徐工融租dev  com.xcmg.app.dev
    IOS_KEY：NYuANmOUjGo5q0n48qF97fShdjVwmhM6
    ANDROID_KEY: Y8gTWgN2GuDtvhBfiECaZiBtE6i0wQBG
    web端: Eoo0EtfjYCdAy7r8D19gZ0vMojdZpHqU
  
  生产环境：
  
    应用名称：徐工融租 com.xcmg.app
    IOS_KEY：hhouKKwxALvC7MBZmnfwgSacHOfFOlNu
    ANDROID_KEY: q4W0FynBkTd4v44ZM8m4MxUpuXBqGIqQ
    web端: Eoo0EtfjYCdAy7r8D19gZ0vMojdZpHqU

# 打包冲突解决
 各项目如果安装了 com.hls.plugins.barcode 扫码插件与cordova-plugin-open-camera 媒体插件
 两个插件之间存在一些冲突 请注释掉媒体插件 plugin.xml 第83行 <uses-feature android:name="android.hardware.camera" />

# Android执行add环境后修改文件 
 修改platforms/android/AndroidManifest.xml
 
 在第6行 activity标签后面 添加 android:background="@color/white" 同时找到 android:windowSoftInputMode 修改它的值为 adjustResize

# 热更新操作步骤
1.修改对应环境的版本号
2.执行npm run build:对应环境
3.将压缩后的www文件夹里的文件覆盖到服务器上下载下来的对应文件
4.去对应的业务系统环境内修改相应的版本号
